const ac_retailers = {
    '1800petmeds': {
        id: 264,
        coupon_input_selector: '#coupon_full',
        total_price_selector: 'div.checkout div.top div.price'
    },
    '18650batterystore': {
        id: 37142,
        coupon_input_selector: '#v65-cart-coupon-entry-details-input',
        total_price_selector: '#v65-cart-total-estimate-cell'
    },
    'advanceautoparts': {
        id: 311
    },
    'aliexpress': {
        id: 3755,
        coupon_input_selector: '',
        total_price_selector: ''
    },
    'allivet': {
        id: 24524,
        coupon_input_selector: '#promocode',
        total_price_selector: '#sCartTotal'
    },
    'banggood': {
        id: 6980,
        coupon_input_selector: 'div.col-input input.input-text',
        total_price_selector: '#chkout_panel_grandtotal'
    },
    'belk': {
        id: 7417,
        coupon_input_selector: '#dwfrm_cart_couponCode',
        total_price_selector: 'div.ordertotals td.order-value'
    },
    'bombas': {
        id: 26800
    },
    'cheryls': {
        id: 555,
        coupon_input_selector: '#promoCode',
        total_price_selector: 'div.order-summary-table div.tr-rows.bold div.price-cart-summary'
    },
    'dressbarn': {
        id: 6042
    },
    'ebags': {
        id: 178,
        coupon_input_selector: '#enterMeCode',
        total_price_selector: '#ordertotal'
    },
    'expedia': {
        id: 184,
        coupon_input_selector: '',
        total_price_selector: ''
    },
    'eyebuydirect': {
        id: 780
    },
    'famousfootwear': {
        id: 786, 
        coupon_input_selector: '#PromoCode',
        total_price_selector: 'div.order-summary-total div.right'
    },
    'fashionnova': {
        id: 29912,
        coupon_input_selector: 'input[name="promotionCode"]',
        total_price_selector: '.order-total__value'
    },
    'fragrancenet': {
        id: 830
    },
    'gnc': {
        id: 190,
        coupon_input_selector: '#dwfrm_cart_couponCode',
        total_price_selector: 'tr.order-total td.order-value'
    },
    'groupon': {
        id: 3268,
        coupon_input_selector: '',
        total_price_selector: ''
    },
    'hilton': {
        id: 29321,
        coupon_input_selector: '',
        total_price_selector: ''
    },
    'hm': {
        id: 5709
    },
    'iherb': {
        id: 5469
    },
    'jcpenney': {
        id: 199
    },
    'kohls': {
        id: 1070,
        coupon_input_selector: '.kohlscashapplylink',
        total_price_selector: '#totalcharges'
    },
    'lordandtaylor': {
        id: 1111, 
        coupon_input_selector: '#promoCodeEntry',
        total_price_selector: '#jsVal-grandTotal'
    },
    'macys': {
        id: 207
    },
    'michaels': {
        id: 6121
    },
    'moosejaw': {
        id: 211, 
        coupon_input_selector: '#promoCode',
        total_price_selector: '#adwordsTotalValue'
    },
    'nutrisystem': {
        id: 3976, 
        coupon_input_selector: '#promo-code-input',
        total_price_selector: 'table.order-totals-table tr.totals td.price'
    },
    'orientaltrading': {
        id: 3069, 
        coupon_input_selector: '#promoCodeInput',
        total_price_selector: 'span.amt-grand-total'
    },
    'papajohns': {
        id: 5657
    },
    'papamurphys': {
        id: 17340, 
        coupon_input_selector: '#CouponCodeText',
        total_price_selector: 'span#bTotal'
    },
    'partycity': {
        id: 5689, 
        coupon_input_selector: '#dwfrm_cart_couponCode',
        total_price_selector: 'li.order-total'
    },
    'pharmaca': {
        id: 5795, 
        coupon_input_selector: '#coupon_code',
        total_price_selector: 'tr.grand.totals span.price'
    },
    'puma': {
        id: 1403, 
        coupon_input_selector: '#couponCode',
        total_price_selector: 'p.grand-total'
    },
    'petco': {
        id: 1350, 
        coupon_input_selector: '#enter-promo-code',
        total_price_selector: 'input#total_td13'
    },
    'potterybarn': {
        id: 223, 
        coupon_input_selector: '#promoCode',
        total_price_selector: 'div.order-summary-tally-total-block div span.price-amount'
    },
    'rakuten': {
        id: 7, 
        coupon_input_selector: '.r-payment-page__coupon-input',
        total_price_selector: '.r-product__price-text.r-checkout-cart-summary__is-red span'
    },
    'saksoff5th': {
        id: 9833, 
        coupon_input_selector: '#promo-code-number',
        total_price_selector: 'div.hbc-price-display__line-item--items-total span.hbc-price-display__summary-price'
    },
    'sallybeauty': {
        id: 1455, 
        coupon_input_selector: '#couponCode',
        total_price_selector: 'p.grand-total'
    },
    'shoes': {
        id: 235
    },
    'shein': {
        id: 7754, 
        coupon_input_selector: '',
        total_price_selector: 'div.total-item span.total'
    },
    'shutterfly': {
        id: 3699, 
        coupon_input_selector: 'input[name="omnibox-code"]',
        total_price_selector: 'div#cartSummaryArea tr.table-summary td'
    },
    'shopdisney': {
        id: 173,
        coupon_input_selector: '#couponCode',
        total_price_selector: 'div.grand-total'
    },
    'snapfish': {
        id: 1527
    },
    'steinmart': {
        id: 10180, 
        coupon_input_selector: '#sourceCode',
        total_price_selector: 'div#EstTaxShipItemTable_estBasketTotal'
    },
    'swansonvitamins': {
        id: 1587
    },
    'target': {
        id: 26, 
        coupon_input_selector: '',
        total_price_selector: ''
    },
    'thriftbooks': {
        id: 24523, 
        coupon_input_selector: 'input.CartCoupon-input',
        total_price_selector: 'div.OrderSummary-Total div.OrderSummary-ItemPad'
    },
    'ulta': {
        id: 1696
    },
    'vistaprint': {
        id: 1904
    },
    'vitacost': {
        id: 5346
    },
    'walgreens': {
        id: 1915, 
        coupon_input_selector: '#wag-cart-enter-code',
        total_price_selector: '.wag-cart-order-summary-items .product__price'
    },
    'westelm': {
        id: 1757, 
        coupon_input_selector: '#promoCode',
        total_price_selector: 'div.order-summary-tally-total-block div span.price-amount'
    },
    'womanwithin': {
        id: 2733, 
        coupon_input_selector: '#dwfrm_cart_couponCode',
        total_price_selector: 'span.order-value'
    },
    'worldmarket': {
        id: 4308
    },
    'zazzle': {
        id: 1813, 
        coupon_input_selector: '.PromoCode .Input.Input--marketplaceTheme .Input-inputWrapper .Input-input',
        total_price_selector: '.Cart-subtotal.small-6.large-5.column'
    }
}